Kerbal Space Program - Bug #714

Docking ports failing to decouple
05/28/2013 12:10 AM - velusip
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.20 Language: English (US)
Platform: Linux, OSX, Windows Mod Related: No
Expansion:

Description

When docking and undocking to other ships and debris, sometimes the undocking direction gets flipped around and the port fails to
undock in the future. Here's a diagram of the active vessel currently experiencing this (see attached image and persistence.sfs files).

e See attached persistence.sfs. First vessel contains problematic docking ports.
e See error message in unity log file. Procedure was: start game, fly to first vessel "Sisters of EVE Academy", try to undock one
of the two stuck docking ports, and leave game.

Noteworthy log entries:

When switching to the station with the docking problems, the vessel is referred to as dockingPort2:
[dockingPort2 (Sisters of EVE Academy)]: Orbit started

When rightclicking on one of two problematic docking ports and trying to undock this error is thrown:
Unpacking Sisters of EVE Academy

(Filename: /BuildAgent/work/7535dedca26c26ac/Runtime/ExportGenerated/LinuxStandalonePlayer/UnityEn
gineDebug.cpp Line: 54)

NullReferenceException: Object reference not set to an instance of an object
at ModuleDockingNode.Undock () [0x00000] in <filename unknown>:0
at ModuleDockingNode.Undock () [0x00000] in <filename unknown>:0
at BaseEvent.Invoke () [0x00000] in <filename unknown>:0
at UIPartActionModuleButton.OnClick () [0x00000] in <filename unknown>:0

(Filename: Line: 4294967295)
Game Paused!
Background:

e Bug occurring with different size ports:
http://forum.kerbalspaceprogram.com/showthread.php/31591-Clamp-O-Tron-Sr-won-t-undock

e Another Kadet provides a persistence file. Also, Grom describes a procedure to quickly reproduce bug:
http://forum.kerbalspaceprogram.com/showthread.php/28084-NoFix-Unable-to-undock

e Several reports with persistence files: http:/forum.kerbalspaceprogram.com/showthread.php/25419-Open-Can-t-undock

e Not sure if related:
http://forum.kerbalspaceprogram.com/showthread.php/28438-0-19-1-Docking-ports-set-to-disabled-after-connecting-Save-file-in
cluded

History

#1 - 06/02/2013 10:02 PM - velusip

Adding more background info:

e another report with a sound theory:
http://forum.kerbalspaceprogram.com/showthread.php/27997-I-isolated-the-bug-not-allowing-separation-of-docking-clamps ?highlight=dockin
#2 - 06/17/2013 04:19 PM - kitoban
- File kspBug.JPG added
- Status changed from New to Confirmed

- % Done changed from 0 to 10

| can confirm same issue on a docking port on a null ref error.

#3 - 07/17/2016 09:24 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#4 - 07/17/2016 07:54 PM - Claw

- Status changed from Needs Clarification to Closed
- % Done changed from 0 to 100

- Platform Linux, OSX, Windows added

- Platform deleted (Any)

Save is no longer compatible. Examination of save shows improper docking port states, which has recently been fixed (minus the renderer issue

making them stick again).

Files

persistent.sfs 1.18 MB 05/28/2013 velusip
screenshot62-e.png 688 KB 05/28/2013 velusip
Player.log 266 KB 05/28/2013 velusip
kspBug.JPG 57.3KB 06/17/2013 kitoban
